To find out the version of your browser, follow the link: http://www.whatbrowser.org/intl/en/.

If Postila is not supported with your browser, please update your browser.


Supported browsers for Postila:

 Google Chrome


 Firefox


 Operа (beginning with 15.0)


 Safari


 Internet Explorer (beginning with 10.0)


Postila is NOT supported with:

 Internet Explorer (before 10.0) → Update your browser


 Opera (before 15.0) → Update your browser


Attention! After updating your browser, please make sure,  that you're using the new one! It may happen, that the old version is not deleted.

This article was helpful for 456 people. Is this article helpful for you?